
/**********************************************************************

  Copyright 2019 Andrey V.Kosteltsev

  Licensed under the Radix.pro License, Version 1.0 (the "License");
  you may not use this file  except  in compliance with the License.
  You may obtain a copy of the License at

     https://radix.pro/licenses/LICENSE-1.0-en_US.txt

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
  implied.

 **********************************************************************/

static void print_tree_html( FILE *output )
{
  time_t     t = time( NULL );
  struct tm tm = *localtime(&t);

  if( !output ) return;

  fprintf( output, "<!DOCTYPE html>\n" );
  fprintf( output, "<html>\n" );
  fprintf( output, " <head>\n" );
  fprintf( output, "  <meta charset=\"utf-8\">\n" );
  fprintf( output, "  <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n" );
  fprintf( output, "  <meta name=\"owner\" content=\"Andrey V.Kosteltsev\">\n" );
  fprintf( output, "  <meta name=\"author\" content=\"Andrey V.Kosteltsev\">\n" );
  fprintf( output, "  <meta http-equiv=\"content-type\" content=\"text/html; charset=UTF-8\">\n" );
  fprintf( output, "  <meta http-equiv=\"Content-script-type\" content=\"text/javascript\">\n" );
  fprintf( output, "  <meta http-equiv=\"Content-Style-Type\" content=\"text/css\">\n" );
  fprintf( output, "\n" );
  fprintf( output, "  <link href=\"data:image/x-icon;base64," );
  fprintf( output, "AAABAAMAMDAAAAEAIACoJQAANgAAACAgAAABACAAqBAAAN4lAAAQEAAAAQAgAGgEAACGNgAAKAAA" );
  fprintf( output, "ADAAAABgAAAAAQAgAAAAAAAAJAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACsrKysrKyuP" );
  fprintf( output, "Kysr2SsrK/grKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr+CsrK9krKyuPKysrKwAAAAAAAAAAAAAA" );
  fprintf( output, "AAAAAAArKysDKysrWSsrK9krKyv+Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv+Kysr2SsrK1krKysDAAAAAAAAAAArKytZKysr7isrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK+4rKytZAAAAACsrKywrKyvYKysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "KyvYKysrLCsrK48rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/KysrjysrK9grKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr2CsrK/crKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Ly8v/zIzM/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr9ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ykpKf8oKCj/KCgo/ykpKf8rKyv/cnh4/1NWVv8mJib/KCgo/ykpKf8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kioq/ygo" );
  fprintf( output, "KP8oKCj/KSgo/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/LS0t/05QUf9YW1v/WFtc/0VHSP9UV1f/" );
  fprintf( output, "ho2O/0hKSv9YW1z/V1tb/1FUVP8vLy//Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8qKir/PT8//1daW/9XW1v/VFdX/zMzM/8rKyr/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8pKCj/W15f" );
  fprintf( output, "/9Lf4f/g7e//2ebo/3h+f/+LkpP/RUdH/1NWV//N2dv/4e7w/9nm6P9xdnf/KSkp/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/yoqKv8zNDT/p7Cy/+Hu8P/h7/H/p7Cx/zQ0NP8q" );
  fprintf( output, "Kir/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/yoqKv85Ojr/t8HD/+r4+v/q+Pr/pa6v/3uBgv9qb2//KSkp/ysrK/98goP/5PHz" );
  fprintf( output, "/+r4+v/P3N3/UVRU/ykpKf8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ykpKf94fn//" );
  fprintf( output, "5PLz/+n4+v/U4eP/U1dX/ykpKf8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/+GjI3/5vT2/+n3+f/M2Nr/cHV2/4aN" );
  fprintf( output, "jv8yMjL/Kioq/yoqKv8xMjL/n6ip/+n3+f/p+Pr/tL7A/zo7O/8qKir/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/KSkp/0xOT//O2tz/6ff5/+b09v+BiIn/Kioq/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/KSgo/1ZZWf/W" );
  fprintf( output, "4uT/6ff5/+Px8/+BiIj/iZCR/0pNTf8pKSn/Kysr/ysrK/8pKSn/QUND/7/Ky//q+Pr/5/X3/5GZ" );
  fprintf( output, "mv8tLi7/Kysr/ysrK/8rKyv/Kysr/ysrK/8qKir/MjIy/6avsP/p9/n/6fj6/7K8vv83ODj/Kioq" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8qKir/Njc3/7G7vf/p+Pr/6fj6/6mytP94fn//bnN0/ykpKf8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/KSgo/1teX//W4+T/6ff5/9/s7v9scXL/KSkp/ysrK/8rKyv/Kysr/ysrK/8pKSn/dHl6/+Pw" );
  fprintf( output, "8v/p9/n/1uPl/1ZaWv8pKCj/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8qKir/f4aG/+Xz9f/p9/n/z9vd/3B1dv+Ij5D/" );
  fprintf( output, "NDQ0/yoqKv8rKyv/Kysr/ysrK/8rKyv/Kysr/yoqKv98goP/4/Hz/+n4+v/M2Nr/TVBQ/ykpKf8r" );
  fprintf( output, "Kyv/Kysr/ykpKf9JS0z/zNjZ/+n3+f/m9Pb/hoyN/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ykpKf9RVFT/0t/h" );
  fprintf( output, "/+n3+f/k8vT/hIuM/4iPkP9OUVH/KSkp/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/yoqKv8xMjL/" );
  fprintf( output, "n6ip/+n3+f/p+Pr/sLq7/zg5Of8qKir/Kioq/zExMf+iq6z/6ff5/+n4+v+2wML/OTo6/yoqKv8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kioq/zQ0Nf+stbb/6fj6/+n4+v+tt7j/dnt8/3F3d/8qKir/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8pKSn/QUND/7/KzP/q+Pr/5/T2/4yUlf8tLS3/KSgo/3B1dv/h7/H/" );
  fprintf( output, "6ff5/9jl5/9aXV7/KSgo/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/KSkp/3l/gP/k8vT/6ff5/9Lf4P9wdXb/ipGS/0JE" );
  fprintf( output, "RP8qKir/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/KSgo/1tfX//W4+X/6fj6" );
  fprintf( output, "/93q7P9mamv/REZH/8nV1v/p9/n/5/X3/4qRkv8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8pKSn/TE9P/8/b3f/p" );
  fprintf( output, "9/n/5fP1/4eOj/+Ei4z/b3R1/7G7vP9obW7/Kioq/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/yoqKv98goP/5PHz/+b09v9+hYX/nKSm/+n3+f/p+Pr/usTG/zs8PP8qKir/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/yoqKv8zNDT/qLGy/+v6/P/r+fv/sbu9/3N4ef97gYL/n6ip/+v5+//V4eP/XmJj/ykpKf8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/yoqKv8yMjL/oaqr/6q0tf92fH3/3+3v/+n3" );
  fprintf( output, "+f/a5+n/XWFi/ykoKP8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ykpKf9dYWL/w87Q/8nV1/++ycv/b3R1/4qRkv99hIX/" );
  fprintf( output, "4O3v/+j2+P/q+Pr/ws3P/0BCQv8qKSn/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8q" );
  fprintf( output, "KSn/PD09/1tfX//E0NL/6ff5/+j2+P+OlZb/LCws/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/80NTX/PD09" );
  fprintf( output, "/zs8PP88PT3/hIuM/2BkZP+zvb7/6vn7/+f19//n9ff/6Pb4/4mQkf8qKir/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/LS0t/5mhov/p9/n/6fj6/7vGyP86Ozv/Jycn/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8qKir/Kioq/ygnJ/9iZmf/e4GC/ysrK/9iZmf/2OTm/+j2+P/n9ff/6ff5" );
  fprintf( output, "/8jU1f8+QED/Kioq/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8pKCj/aGxt/9/s7v/p9/n/" );
  fprintf( output, "2+jq/32Dg/9yd3j/VVhZ/ywsLP8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kikp/0BCQv+OlZb/Ozw8/yoq" );
  fprintf( output, "Kv8qKir/j5eY/+j2+P/n9ff/5/X3/+Pw8v9kaGn/KCgo/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ykpKf9BQ0P/w87Q/+n3+v/n9ff/oqqs/7vGyP/p9/n/0t7g/1JUVf8pKSn/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/LS0t/4GHiP9bX1//KSgo/ysrK/8pKCj/UVRV/9rn6f/o9vj/5/X3/+n3+f+GjY7/KCgo/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/y0uLv+Wnp//6Pb4/+n4+v++ycv/XmFi/9fk5v/q+Pr/5/X3" );
  fprintf( output, "/2lub/8nJyf/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8pKCj/XmJj/3+Fhv8sLS3/Kysr/ysrK/8qKir/Ojs7/8fS1P/p" );
  fprintf( output, "9/n/5/X3/+r4+v+ZoqP/Kioq/ysrK/8rKyv/Kysr/ysrK/8rKyv/KSgo/2Roaf/d6uz/6ff5/93r" );
  fprintf( output, "7f9kaWn/Ly8v/5ObnP/T3+H/s72//4qRkv9eYmP/KSkp/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/yoqKv89Pz//jpWW/z4/QP8qKir/" );
  fprintf( output, "Kysr/ysrK/8qKir/Nzg4/8LOz//p9/n/5/X3/+r4+/+dpab/Kysr/ysrK/8rKyv/Kysr/ysrK/8q" );
  fprintf( output, "KSn/P0BA/8DLzP/p+Pr/6Pb4/5aen/8uLi7/Kioq/y8wMP9NUFD/o6yt/+Px8//I09X/SEpK/ykp" );
  fprintf( output, "Kf8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ywsLP9+hIX/X2Nk/ykoKP8rKyv/Kysr/ysrK/8pKSn/REZG/9He3//o9vn/5/X3/+r4+v+Ql5n/" );
  fprintf( output, "KSkp/ysrK/8rKyv/Kysr/ysrK/8tLS3/kZma/+j2+P/p9/n/w8/Q/0FDQ/8pKSn/Kysr/yoqKv8y" );
  fprintf( output, "MzP/qLKz/+r4+v/p9/n/qrO0/zU2Nv8qKir/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/KSgo/1pdXv+CiIn/Li4u/ysrK/8rKyv/Kysr/ysrK/8oKCj/cHV2" );
  fprintf( output, "/+Ty9P/n9ff/5/X3/+f19/9zeXn/KCgo/ysrK/8rKyv/Kysr/ykoKP9gZGX/2+nr/+n3+f/f7O7/" );
  fprintf( output, "aW1u/ykoKP8rKyv/Kysr/ysrK/8pKSn/R0lK/8bS1P/p+Pr/5vP1/4eOj/8sLCz/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8qKir/Ojs8/46Vlv9BQ0P/Kikp/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ykpKf8+QED/vsjK/+n3+f/n9ff/6Pb4/9fj5f9NT0//KSkp/ysrK/8rKyv/Kioq" );
  fprintf( output, "/zw+Pv+8x8n/6fj6/+n3+f+ao6T/Li8v/ysrK/8rKyv/Kysr/ysrK/8rKyv/KSkp/2Roaf/b6Or/" );
  fprintf( output, "6ff5/9vo6v9kaWn/KSkp/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/eoCB/2Roaf8pKSn/Kysr/yoqKv8pKSn/KCgo/z9AQP+mr7H/5/X4/+f19//n9ff/6vj6/6ew" );
  fprintf( output, "sf8vLzD/Kysr/ysrK/8rKyv/LCws/42Vlv/n9ff/6ff5/8bS1P9ERkb/KSkp/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ywsLP+Hjo//5vP1/+n4+v/H09T/SEpK/ykpKf8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ykpKf9WWVn/hYyM/y8vL/8qKir/Li4u/zk6Ov9GSEn/cnh5/7/Ky//o" );
  fprintf( output, "9vj/5/X3/+f19//o9vj/2ufp/1peXv8pKCj/Kysr/ysrK/8pKSn/XWFi/9rn6f/p9/r/4O7w/2xx" );
  fprintf( output, "cv8pKSn/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/yoqKv81Njb/qrS1/+n3+f/p9/n/qrO0" );
  fprintf( output, "/zU2Nv8qKir/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kioq/zg5Of+NlJX/RUdH/ykpKf8pKSn/" );
  fprintf( output, "TVBQ/77Jy//U4OL/5fP1/+n3+f/n9ff/5/X3/+j2+P/m9Pb/iZCR/ywsLP8rKyv/Kysr/yoqKv84" );
  fprintf( output, "OTn/r7m6/9/t7//f7O7/nKSm/zAwMP8rKir/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8pKSn/SUtL/8jT1f/p+Pr/5vP1/4eOj/8sLCz/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kioq" );
  fprintf( output, "/3Z8ff9obW7/KSkp/ysrK/8oKCj/VVhZ/+Dt7//p9/n/5/X3/+f19//n9ff/6Pb4/+b09v+aoqT/" );
  fprintf( output, "NDU1/yoqKv8rKyv/Kysr/yoqKv80NDX/UlVV/1RXV/9TVlf/OTo6/yoqKv8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/KSkp/2Zqa//c6ev/6ff5/9vo6v9kaWn/KSkp/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8pKSn/UVRV/4eOj/8xMTH/Kyoq/ysrK/8oKCj/VVhY/97r7f/o9vj/5/X3" );
  fprintf( output, "/+j2+P/q+Pr/2ufp/4mQkf80NTX/Kioq/ysrK/8rKyv/Kysr/ysrK/8qKir/KSko/ykoKP8pKCj/" );
  fprintf( output, "Kioq/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ywsLP+J" );
  fprintf( output, "kJH/5vT2/+n4+v/H09T/SEpK/ykpKf8rKyv/Kysr/yoqKv83ODj/jJSV/0hLS/8pKSn/Kysr/ysr" );
  fprintf( output, "K/8oKCj/VVlZ/+Hu8P/q+fv/5/X3/9fk5f+nsLL/Wl5e/ywsLP8qKir/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/yoqKv82Nzf/rLa3/+v6/P/s+/3/rbe4/zg5Of8qKir/Kysr/ykpKf9J" );
  fprintf( output, "TEz/XmJj/yoqKv8rKyv/Kysr/ysrK/8pKSn/REZG/5Wcnv+QmJn/dHl6/01PUP8vMDD/KSgo/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8pKSn/SEpL/5Wdnv+bpKX/" );
  fprintf( output, "mKCh/09SUv8pKSn/Kysr/ysrK/8rKyv/Kioq/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/yoqKv8p" );
  fprintf( output, "KSn/KCgo/ykpKf8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kioq/yoqKv8qKir/Kioq/ywsLP8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/krKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr+SsrK9wrKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr3CsrK5crKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/KysrlysrKzQrKyve" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyveKysrNAAAAAArKytmKysr9CsrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/QrKytmAAAAAAAAAAArKysFKysraCsrK+QrKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr5CsrK2grKysFAAAAAAAA" );
  fprintf( output, "AAAAAAAAKysrAisrKzorKyulKysr6ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK+sr" );
  fprintf( output, "KyulKysrOisrKwIAAAAAAAAAAPAAAAAADwAA4AAAAAAHAADAAAAAAAMAAIAAAAAAAQAAAAAAAAAA" );
  fprintf( output, "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" );
  fprintf( output, "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" );
  fprintf( output, "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" );
  fprintf( output, "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" );
  fprintf( output, "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" );
  fprintf( output, "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAAAAAEAAMAAAAAAAwAA4AAAAAAHAADwAAAA" );
  fprintf( output, "AA8AACgAAAAgAAAAQAAAAAEAIAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAKysrEisrK30r" );
  fprintf( output, "KyvcKysr/CsrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv8Kysr3CsrK30rKysSAAAA" );
  fprintf( output, "ACsrKxIrKyueKysr+ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr+ysrK54rKysSKysrfisrK/orKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr+isrK34rKyvbKysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kioq/yoqKv8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr2ysrK/srKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8pKSn/KSkp/ykpKf87PDz/Nzg4/ygoKP8pKSn/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8qKir/KSkp/ykpKf8rKyv/Kysr/ysrK/8rKyv7" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Li4u/0lMTP9QU1P/QUJD/21ycv9T" );
  fprintf( output, "Vlb/UFNT/0JERP8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kioq/zY3N/9PUlL/TE5P/zAw" );
  fprintf( output, "MP8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ygoKP9hZWb/1ODi" );
  fprintf( output, "/8jU1f+Ahof/U1ZW/2NoaP/U4eP/xM/R/0pNTf8pKSn/Kysr/ysrK/8rKyv/Kysr/ysrK/8uLi7/" );
  fprintf( output, "lJyd/9/s7v+fp6n/MTIy/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8q" );
  fprintf( output, "Kir/PT4+/73Iyv/o9vj/nKSl/2xxcf8uLi7/Li4u/5OanP/q+Pr/rLa3/zY3N/8qKir/Kysr/ysr" );
  fprintf( output, "K/8rKyv/KSgo/2Vqav/f7e//09/h/1BTU/8pKSn/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ywsLP+NlZb/6vj6/7rFxv96gIH/PkBA/yoqKv8qKir/Ojs7/7S+wP/o9/n/" );
  fprintf( output, "iI+Q/ywsLP8rKyv/Kysr/ykpKf8/QUH/wczO/+f19/99g4T/Kioq/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8oKCj/XGBg/9vo6v/X5Ob/h46P/1daW/8pKSn/Kysr/ysr" );
  fprintf( output, "K/8pKSn/UFNT/9Dc3v/d6uz/ZGhp/ykoKP8rKyv/LS0t/5ObnP/r+fv/r7i6/zU2Nv8qKir/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kioq/zk7O/+4w8T/6Pb4/52mp/9tcnL/" );
  fprintf( output, "LzAw/ysrK/8rKyv/Kysr/ysrK/8pKSn/b3R1/+Lv8f/H09X/R0lK/ycmJv9hZmb/3uvt/9Xh4/9T" );
  fprintf( output, "Vlb/KSgo/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/h46P/+n3" );
  fprintf( output, "+f+9yMn/fIKD/0pMTP8pKCj/Kysr/ysrK/8rKyv/Kysr/ysrK/8uLi7/kpqb/+r4+v+nsLH/RkhI" );
  fprintf( output, "/73Iyv/o9vj/gYeI/yoqKv8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "KSkp/1hcXP/Z5uj/2ufp/4aNjv+DiYr/q7W2/05QUf8pKSn/Kysr/ysrK/8rKyv/Kysr/yoqKv86" );
  fprintf( output, "Ozv/tsDC/7nExf+bo6T/6fj6/7K8vv83ODj/Kioq/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8xMTH/mKCh/87a3P+ZoaL/fIKD/7bBwv/s+vz/tsDB/zo7O/8qKir/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ykpKf9JS0z/g4mK/9rn6f/W4+X/VVhZ/ykoKP8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/y0uLv88PT3/P0FB/21yc/9obG3/09/h/+n3+f/n" );
  fprintf( output, "9ff/eoCB/ykpKf8rKyv/Kysr/ysrK/8rKyv/Kioq/zo7O/+5xMX/6Pb4/4yUlf80NTX/Kioq/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ygoKP9RVFX/X2Nj" );
  fprintf( output, "/yoqKv+Ei4z/5/T2/+r4+v+2wML/MjMz/ysqKv8rKyv/Kysr/ysrK/8rKyv/ipGT/+n3+f/Czc//" );
  fprintf( output, "sbu9/7K8vf9CQ0T/KSkp/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8q" );
  fprintf( output, "Kir/Ojs7/290df8zMzT/KCgo/0dKSv/U4eL/6vj6/9Hd3/9DRUX/KSkp/ysrK/8rKyv/KSgo/1pe" );
  fprintf( output, "Xv/a5+n/2OXm/290df/K1tj/3Onr/2JmZ/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ywsLP9obG3/SEpL/ykpKf8qKir/Ojw8/8jU1f/q+Pr/1+Tm/0pMTf8pKSn/" );
  fprintf( output, "Kysr/yoqKv85Ojr/t8HD/+r4+v+JkJH/LCws/1ZZWv+bo6T/xM/R/2BkZf8pKCj/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8pKSn/T1JT/2JmZ/8qKir/Kysr/ykpKf9JS0z/1eLk/+r4" );
  fprintf( output, "+v/Q3N7/QkRE/yopKf8rKyv/Kysr/4aNjv/p9/n/usTG/zo8PP8qKir/Jycn/3B2dv/l8/X/xM/R" );
  fprintf( output, "/0RGR/8pKSn/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kioq/zc4Of9wdXX/NTU2/yoqKv8qKir/" );
  fprintf( output, "Kioq/4mQkf/n9ff/6vj6/7O9v/8yMjL/Kysr/ykoKP9XWlr/1+Tm/9vo6v9dYWH/KCgo/ysrK/8r" );
  fprintf( output, "Kir/MDAw/5mhov/q+Pr/pa6v/zM0NP8qKir/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Zmpr/0tO" );
  fprintf( output, "Tv8pKSn/Kysr/zY3N/97gYL/2+jq/+j2+P/m8/X/dnt8/ykoKP8qKir/ODk5/7S+wP/q+fv/jpWW" );
  fprintf( output, "/ywsLP8rKyv/Kysr/ysrK/8pKSn/Pj8//7vFx//n9ff/gYiJ/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "KSkp/0xPT/9laWr/Kioq/z9BQf+Wnp//vsnK/+Px8v/o9vj/6vj6/7C6u/83ODj/Kioq/yoqKv93" );
  fprintf( output, "fX3/2ufp/7fBw/89Pj7/Kioq/ysrK/8rKyv/Kysr/ysrK/8pKCj/Vlla/9Th4//a5+n/YGNk/yko" );
  fprintf( output, "KP8rKyv/Kysr/yoqKv81Njb/cHV1/zc4OP8oKCj/TlFR/93q7P/q+fv/6ff5/+n3+f+4wsT/R0lK" );
  fprintf( output, "/ykpKf8rKyv/LCws/0RFRv9OUVH/PkBA/yoqKv8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8qKir/" );
  fprintf( output, "d3x9/+Ty9P/Ez9H/RUZH/ykpKf8rKyv/Kysr/2JnZ/9OUVH/KSkp/ykpKf9OUVH/2+jq/+Ty9P/O" );
  fprintf( output, "2tz/jpaX/z5AQP8pKSn/Kysr/ysrK/8rKyv/Kikp/ykpKf8qKir/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/yoqKv8wMDD/m6Ok/+r4+v+mr7H/NTU1/yoqKv8wMDD/SkxN/y0tLf8rKyv/Kioq" );
  fprintf( output, "/zo7O/9yd3j/ZWpq/0NFRf8rKyv/Kioq/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/yopKf89Pj7/dXp7/3Z7fP89Pj7/Kioq/ysrK/8q" );
  fprintf( output, "Kir/Kysr/ysrK/8rKyv/Kioq/ygoKP8oKCj/KSkp/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/yoqKv8oKCj/KCgo" );
  fprintf( output, "/yoqKv8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv8Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/CsrK94rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyveKysrhSsr" );
  fprintf( output, "K/wrKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/CsrK4UrKysWKysrqCsrK/0rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysr" );
  fprintf( output, "K/8rKyv/Kysr/ysrK/0rKyuoKysrFgAAAAArKysXKysriysrK+grKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyvoKysriysrKxcAAAAA4AAAB4AAAAGAAAABAAAAAAAAAAAA" );
  fprintf( output, "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" );
  fprintf( output, "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAcAAAAMoAAAAEAAA" );
  fprintf( output, "ACAAAAABACAAAAAAAAAEAAAAAAAAAAAAAAAAAAAAAAAAKysrTCsrK9QrKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyvUKysrTCsrK9QrKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/KSkp/yoqKv8qKir/Kioq/ysrK/8rKyv/Kysr/ysqKv8pKSn/Kysr/ysrK9QrKyv9Kysr/ysr" );
  fprintf( output, "K/8rKyv/Li4u/0NFRf9GSUn/SkxM/zY3N/8qKir/Kysr/yoqKv8yMjL/REVG/y4uLv8rKyv9Kysr" );
  fprintf( output, "/ysrK/8rKyv/KSgo/2lubv+0v8D/Wl5e/3l+f/+epqf/MzQ0/yoqKv8qKir/g4qL/5aeoP8vLzD/" );
  fprintf( output, "Kysr/ysrK/8rKyv/KSkp/0FDQ/+7xsf/iI+Q/zIzM/81Njb/pa6w/4GIif8oKCj/Vlla/73Iyf9O" );
  fprintf( output, "UVH/KSkp/ysrK/8rKyv/Kysr/y4uLv+Wnp//sLq7/0pNTf8pKSn/KSkp/0hKSv+1wMH/Z2xt/6u1" );
  fprintf( output, "tv97gYL/KSkp/ysrK/8rKyv/Kysr/ykpKf9UV1j/sry+/5ykpf+ZoqP/NTY2/yoqKv8pKSn/XWFh" );
  fprintf( output, "/7G7vP+kra//MzQ0/yoqKv8rKyv/Kysr/ysrK/8rKyv/Njc3/1hbW/+Bh4j/4O7w/2ltbv8oKCj/" );
  fprintf( output, "KSgo/1FUVf/G0dP/j5eY/zM0NP8qKir/Kysr/ysrK/8rKyv/Kioq/0BBQf9CRET/QUND/9Tg4v+N" );
  fprintf( output, "lZb/KCgn/zQ1Nf+qs7X/i5KT/5mio/9zeHn/Kysr/ysrK/8rKyv/Kioq/zM0NP9NUFD/KSkp/1Za" );
  fprintf( output, "Wv/c6ev/gIaH/ycnJ/9+hIX/rLW3/zM0NP9FR0f/tsDC/11hYf8pKCj/Kysr/ywsLP9KTE3/QUND" );
  fprintf( output, "/3B1df/Ez9H/z9vd/0hLS/9FR0f/sLq8/1RXV/8pKCj/KSkp/2htbf+0v8D/QkRE/ykpKf8/QUH/" );
  fprintf( output, "REZG/0VHSP/N2dv/ws7P/2FlZf8qKir/NTY2/0FDQ/8sLCz/Kysr/ysrK/8sLCz/ipGS/5igof8y" );
  fprintf( output, "MjL/NTY2/y4uLv8yMzP/UFNU/zo7O/8pKSn/Kysr/yoqKv8qKin/Kysr/ysrK/8rKyv/Kioq/zQ1" );
  fprintf( output, "Nf9SVVb/MzM0/yoqKv4rKyv/Kysr/ykpKf8qKir/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr" );
  fprintf( output, "/ysrK/8qKir/KSkp/ysrK/4rKyvXKysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyv/" );
  fprintf( output, "Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyvXKysrUSsrK9orKyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8r" );
  fprintf( output, "Kyv/Kysr/ysrK/8rKyv/Kysr/ysrK/8rKyvaKysrUYABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" );
  fprintf( output, "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAIABAAA=" );
  fprintf( output, "\" rel=\"icon\" type=\"image/x-icon\" />\n" );
  fprintf( output, "\n" );
  fprintf( output, "  <title>%s &#8211; Requires Tree</title>\n", hardware );
  fprintf( output, "\n" );
  fprintf( output, "  <style>\n" );
  fprintf( output, "   @import url(https://fonts.googleapis.com/css?family=Roboto:400,700italic,700,500italic,500,400italic&subset=cyrillic-ext,latin);\n" );
  fprintf( output, "   @import url(https://fonts.googleapis.com/css?family=Cousine:400,400italic,700,700italic&subset=cyrillic-ext,latin);\n" );
  fprintf( output, "  </style>\n" );
  fprintf( output, "\n" );
  fprintf( output, "  <style>\n" );
  fprintf( output, "   body, html {\n" );
  fprintf( output, "     margin: 0 0 0 0;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   #front_wrapper {\n" );
  fprintf( output, "     margin: 0 auto;\n" );
  fprintf( output, "     height: 100vh;\n" );
  fprintf( output, "     position: relative;\n" );
  fprintf( output, "     overflow: auto;\n" );
  fprintf( output, "     background-color: #ececec;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   #spinner {\n" );
  fprintf( output, "     margin: 0 auto;\n" );
  fprintf( output, "     min-height: 256px;\n" );
  fprintf( output, "     text-align: center;\n" );
  fprintf( output, "     display: flex;\n" );
  fprintf( output, "     align-items: center;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   #tree_view {\n" );
  fprintf( output, "     margin: 0 auto;\n" );
  fprintf( output, "     min-height: 256px;\n" );
  fprintf( output, "     width: 2720px;\n" );
  fprintf( output, "     border: 0px solid #e7e7e7;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .header-wrapper {\n" );
  fprintf( output, "     height: 160px;\n" );
  fprintf( output, "     width: 100%%;\n" );
  fprintf( output, "     margin: 0 auto;\n" );
  fprintf( output, "     position: relative;\n" );
  fprintf( output, "     background: transparent;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .content-wrapper {\n" );
  fprintf( output, "     background-color: #ffffff;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .footer-wrapper {\n" );
  fprintf( output, "     background: #ececec;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .content {\n" );
  fprintf( output, "     width: 1018px;\n" );
  fprintf( output, "     min-height: 256px;\n" );
  fprintf( output, "     padding: 18px 3px 12px 3px;\n" );
  fprintf( output, "     margin: 0 auto;\n" );
  fprintf( output, "     background-color: #fdfdfd;\n" );
  fprintf( output, "     position: relative;\n" );
  fprintf( output, "     overflow: hidden;\n" );
  fprintf( output, "     align: center;\n" );
  fprintf( output, "     border: 1px solid #e7e7e7;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .footer {\n" );
  fprintf( output, "     width: 1022px;\n" );
  fprintf( output, "     height: 48px;\n" );
  fprintf( output, "     margin: 0 auto;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     -moz-border-radius-topleft: 0px;\n" );
  fprintf( output, "     -moz-border-radius-topright: 0px;\n" );
  fprintf( output, "     -moz-border-radius-bottomright: 4px;\n" );
  fprintf( output, "     -moz-border-radius-bottomleft: 4px;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     -webkit-border-top-left-radius: 0px;\n" );
  fprintf( output, "     -webkit-border-top-right-radius: 0px;\n" );
  fprintf( output, "     -webkit-border-bottom-left-radius: 4px;\n" );
  fprintf( output, "     -webkit-border-bottom-right-radius: 4px;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     border-top-left-radius: 0px;\n" );
  fprintf( output, "     border-top-right-radius: 0px;\n" );
  fprintf( output, "     border-bottom-left-radius: 4px;\n" );
  fprintf( output, "     border-bottom-right-radius: 4px;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     border: 1px solid #545454;\n" );
  fprintf( output, "     background-color: #4c4c4c;\n" );
  fprintf( output, "     background: linear-gradient(288deg, rgb(84, 84, 84), rgb(76, 76, 76));\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .footer-top {\n" );
  fprintf( output, "     margin: 2px auto 1px auto;\n" );
  fprintf( output, "     color: #ffffff;\n" );
  fprintf( output, "     text-align: center;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .footer-bottom {\n" );
  fprintf( output, "     margin: 0 8px 0 8px;\n" );
  fprintf( output, "     min-height: 20px;\n" );
  fprintf( output, "     color: #ffffff;\n" );
  fprintf( output, "     font-size: 10px;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .logo {\n" );
  fprintf( output, "     width: 1024px;\n" );
  fprintf( output, "     height: 80px;\n" );
  fprintf( output, "     margin: 0 auto;\n" );
  fprintf( output, "     background-color: transparent;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .navigator {\n" );
  fprintf( output, "     width: 1024px;\n" );
  fprintf( output, "     height: 79px;\n" );
  fprintf( output, "     margin: 0 auto;\n" );
  fprintf( output, "     padding: 1px 0 0;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     -moz-border-radius-topleft: 4px;\n" );
  fprintf( output, "     -moz-border-radius-topright: 4px;\n" );
  fprintf( output, "     -moz-border-radius-bottomright: 0px;\n" );
  fprintf( output, "     -moz-border-radius-bottomleft: 0px;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     -webkit-border-top-left-radius: 4px;\n" );
  fprintf( output, "     -webkit-border-top-right-radius: 4px;\n" );
  fprintf( output, "     -webkit-border-bottom-left-radius: 0px;\n" );
  fprintf( output, "     -webkit-border-bottom-right-radius: 0px;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     border-top-left-radius: 4px;\n" );
  fprintf( output, "     border-top-right-radius: 4px;\n" );
  fprintf( output, "     border-bottom-left-radius: 0px;\n" );
  fprintf( output, "     border-bottom-right-radius: 0px;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     border: 1px solid #545454;\n" );
  fprintf( output, "     background-color: #4c4c4c;\n" );
  fprintf( output, "     background: linear-gradient(288deg, rgb(84, 84, 84), rgb(76, 76, 76));\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .copyright {\n" );
  fprintf( output, "     color: #f0f0ea;\n" );
  fprintf( output, "     text-decoration: none;\n" );
  fprintf( output, "     font-family: 'Roboto', helvetica, arial, sans-serif;\n" );
  fprintf( output, "     font-weight: bold;\n" );
  fprintf( output, "     font-style: normal;\n" );
  fprintf( output, "     font-size: 12px;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .copyright:hover {\n" );
  fprintf( output, "     text-decoration: underline;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .date-title {\n" );
  fprintf( output, "     height: 16px;\n" );
  fprintf( output, "     font: 12px 'Roboto', sans-serif;\n" );
  fprintf( output, "     font-weight: bold;\n" );
  fprintf( output, "     padding-top: 6px;\n" );
  fprintf( output, "     margin-bottom: -10px;\n" );
  fprintf( output, "     padding-left: 16px;\n" );
  fprintf( output, "     color: #c0c0c0;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .time-title {\n" );
  fprintf( output, "     color: #82946f;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .hardware-title {\n" );
  fprintf( output, "     height: 20px;\n" );
  fprintf( output, "     float: right;\n" );
  fprintf( output, "     text-align: right;\n" );
  fprintf( output, "     padding-right: 16px;\n" );
  fprintf( output, "     width: 512px; font: 14px 'Roboto', sans-serif;\n" );
  fprintf( output, "     font-weight: bold;\n" );
  fprintf( output, "     color: #f0f0ea;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .hw-title {\n" );
  fprintf( output, "     font: 10px 'Roboto', sans-serif;\n" );
  fprintf( output, "     font-weight: bold;\n" );
  fprintf( output, "     color: #cadaba;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .tree-title {\n" );
  fprintf( output, "     height: 42px;\n" );
  fprintf( output, "     padding-left: 16px;\n" );
  fprintf( output, "     font: 28px 'Roboto', sans-serif;\n" );
  fprintf( output, "     font-weight: bold;\n" );
  fprintf( output, "     color: #f0f0ea;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .tree-hw-title {\n" );
  fprintf( output, "     color: #cadaba;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   /* SVG spinner icon animation */\n" );
  fprintf( output, "   .spinner {\n" );
  fprintf( output, "     -webkit-animation: rotate 2s linear infinite;\n" );
  fprintf( output, "             animation: rotate 2s linear infinite;\n" );
  fprintf( output, "     z-index: 2;\n" );
  fprintf( output, "     position: relative;\n" );
  fprintf( output, "     top: 50%%;\n" );
  fprintf( output, "     left: 50%%;\n" );
  fprintf( output, "     margin: -25px 0 0 -25px;\n" );
  fprintf( output, "     width: 50px;\n" );
  fprintf( output, "     height: 50px;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .spinner-text {\n" );
  fprintf( output, "     z-index: 2;\n" );
  fprintf( output, "     position: absolute;\n" );
  fprintf( output, "     top: 0;\n" );
  fprintf( output, "     left: 0;\n" );
  fprintf( output, "     margin: 36px;\n" );
  fprintf( output, "     font: 28px 'Roboto', sans-serif;\n" );
  fprintf( output, "     color: #c0c0c0;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .spinner .path {\n" );
  fprintf( output, "     stroke: #cccccc;\n" );
  fprintf( output, "     stroke-linecap: round;\n" );
  fprintf( output, "     -webkit-animation: dash 1.5s ease-in-out infinite;\n" );
  fprintf( output, "             animation: dash 1.5s ease-in-out infinite;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   @-webkit-keyframes rotate {\n" );
  fprintf( output, "     100%% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   @keyframes rotate {\n" );
  fprintf( output, "     100%% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   @-webkit-keyframes dash {\n" );
  fprintf( output, "       0%% { stroke-dasharray:  1, 150; stroke-dashoffset:    0; }\n" );
  fprintf( output, "      50%% { stroke-dasharray: 90, 150; stroke-dashoffset:  -35; }\n" );
  fprintf( output, "     100%% { stroke-dasharray: 90, 150; stroke-dashoffset: -124; }\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   @keyframes dash {\n" );
  fprintf( output, "       0%% { stroke-dasharray:  1, 150; stroke-dashoffset:    0; }\n" );
  fprintf( output, "      50%% { stroke-dasharray: 90, 150; stroke-dashoffset:  -35; }\n" );
  fprintf( output, "     100%% { stroke-dasharray: 90, 150; stroke-dashoffset: -124; }\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .node {\n" );
  fprintf( output, "     cursor: pointer;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .node text {\n" );
  fprintf( output, "     font: 14px 'Cousine', monospace;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   .tree-tooltip {\n" );
  fprintf( output, "     position: absolute;\n" );
  fprintf( output, "     text-align: left;\n" );
  fprintf( output, "     padding: 16px 16px 8px;\n" );
  fprintf( output, "     background-color: #fafafa;\n" );
  fprintf( output, "     border: 1px solid #71ad93;\n" );
  fprintf( output, "     border-radius: 8px;\n" );
  fprintf( output, "     pointer-events: none;\n" );
  fprintf( output, "     color: #343434;\n" );
  fprintf( output, "     -webkit-box-shadow: 0 0 5px #aaa;\n" );
  fprintf( output, "     box-shadow: 0 0 5px #aaa;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .tooltip-header {\n" );
  fprintf( output, "     font: 14px Roboto, sans-serif;\n" );
  fprintf( output, "     font-weight: bold;\n" );
  fprintf( output, "     color: DarkRed;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     white-space: nowrap;\n" );
  fprintf( output, "     text-align: left;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .tooltip-header-not-packaged {\n" );
  fprintf( output, "     font: 11px Cousine,monospace;\n" );
  fprintf( output, "     font-weight: bold;\n" );
  fprintf( output, "     color: DarkRed;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     white-space: nowrap;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     padding-left: 8px;\n" );
  fprintf( output, "     padding-right: 8px;\n" );
  fprintf( output, "     padding-bottom: 8px;\n" );
  fprintf( output, "     text-align: left;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .tooltip-description {\n" );
  fprintf( output, "     font: 14px Roboto, sans-serif;\n" );
  fprintf( output, "     font-style: italic;\n" );
  fprintf( output, "     font-weight: bold;\n" );
  fprintf( output, "     color: #343434;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     white-space: nowrap;\n" );
  fprintf( output, "     text-align: left;\n" );
  fprintf( output, "     padding-left: 1.5em;\n" );
  fprintf( output, "     padding-top: .5em;\n" );
  fprintf( output, "     font-style: italic;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .tooltip-content {\n" );
  fprintf( output, "     font: 11px 'Cousine', monospace;\n" );
  fprintf( output, "     font-weight: bold;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     white-space: pre;\n" );
  fprintf( output, "     margin: 12px 0 8px;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   .flavour {\n" );
  fprintf( output, "     color: DarkBlue;\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "\n" );
  fprintf( output, "   @media (min-width: 1200px) {\n" );
  fprintf( output, "     .navigator { width: 1140px; }\n" );
  fprintf( output, "     .logo      { width: 1140px; }\n" );
  fprintf( output, "     .footer    { width: 1140px; }\n" );
  fprintf( output, "     .content   { width: 1134px; }\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   @media (min-width: 992px) and (max-width: 1199px) {\n" );
  fprintf( output, "     .navigator { width: 960px; }\n" );
  fprintf( output, "     .logo      { width: 960px; }\n" );
  fprintf( output, "     .footer    { width: 960px; }\n" );
  fprintf( output, "     .content   { width: 954px; }\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   @media (min-width: 768px) and (max-width: 991px) {\n" );
  fprintf( output, "     .navigator { width: 720px; }\n" );
  fprintf( output, "     .logo      { width: 720px; }\n" );
  fprintf( output, "     .footer    { width: 720px; }\n" );
  fprintf( output, "     .content   { width: 714px; }\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   @media (min-width: 576px) and (max-width: 767px) {\n" );
  fprintf( output, "     .navigator { width: 540px; }\n" );
  fprintf( output, "     .logo      { width: 540px; }\n" );
  fprintf( output, "     .footer    { width: 540px; }\n" );
  fprintf( output, "     .content   { width: 534px; }\n" );
  fprintf( output, "\n" );
  fprintf( output, "     .node text { font-size: 12px; }\n" );
  fprintf( output, "\n" );
  fprintf( output, "     .tooltip-header      { font-size: 12px; }\n" );
  fprintf( output, "     .tooltip-description { font-size: 12px; }\n" );
  fprintf( output, "     .tooltip-content     { font-size: 10px; }\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "   @media (max-width: 575px) {\n" );
  fprintf( output, "     .navigator { width: 480px; }\n" );
  fprintf( output, "     .logo      { width: 480px; }\n" );
  fprintf( output, "     .footer    { width: 480px; }\n" );
  fprintf( output, "     .content   { width: 474px; }\n" );
  fprintf( output, "\n" );
  fprintf( output, "     .node text { font-size: 12px; }\n" );
  fprintf( output, "\n" );
  fprintf( output, "     .tooltip-header      { font-size: 12px; }\n" );
  fprintf( output, "     .tooltip-description { font-size: 12px; }\n" );
  fprintf( output, "     .tooltip-content     { font-size: 10px; }\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "  </style>\n" );
  fprintf( output, "\n" );
  fprintf( output, "  <script src=\"https://code.jquery.com/jquery-3.4.1.min.js\"></script>\n" );
  fprintf( output, "  <script src=\"https://code.jquery.com/ui/1.12.1/jquery-ui.min.js\"></script>\n" );
  fprintf( output, "  <script src=\"https://d3js.org/d3.v3.min.js\"></script>\n" );
  fprintf( output, "  <script>\n" );
  fprintf( output, "   !function(o){function t(o,t){if(!(o.originalEvent.touches.length>1)){o.preventDefault();var e=o.originalEvent.changedTouches[0],n=document.createEvent(\"MouseEvents\");n.initMouseEvent(t,!0,!0,window,1,e.screenX,e.screenY,e.clientX,e.clientY,!1,!1,!1,!1,0,null),o.target.dispatchEvent(n)}}if(o.support.touch=\"ontouchend\"in document,o.support.touch){var e,n,u=o.ui.mouse.prototype,c=u._mouseInit,i=u._mouseDestroy;u._touchStart=function(o){var u=this;!n&&u._mouseCapture(o.originalEvent.changedTouches[0])&&(n=!0,u._touchMoved=!1,e=o,t(o,\"mouseover\"),t(o,\"mousemove\"),t(o,\"mousedown\"))},u._touchMove=function(o){if(n){var u=e.originalEvent.touches[0].screenX,c=e.originalEvent.touches[0].screenY,i=o.originalEvent.touches[0].screenX,r=o.originalEvent.touches[0].screenY;if(u===i&&c===r)return void(this._touchMoved=!1);this._touchMoved=!0,t(o,\"mousemove\")}},u._touchEnd=function(o){n&&(t(o,\"mouseup\"),t(o,\"mouseout\"),this._touchMoved||t(o,\"click\"),n=!1)},u._mouseInit=function(){var t=this;t.element.bind({touchstart:o.proxy(t,\"_touchStart\"),touchmove:o.proxy(t,\"_touchMove\"),touchend:o.proxy(t,\"_touchEnd\")}),c.call(t)},u._mouseDestroy=function(){var t=this;t.element.unbind({touchstart:o.proxy(t,\"_touchStart\"),touchmove:o.proxy(t,\"_touchMove\"),touchend:o.proxy(t,\"_touchEnd\")}),i.call(t)}}}(jQuery);\n" );
  fprintf( output, "   $(function() {\n" );
  fprintf( output, "     $( \"#tree_view\" ).draggable();\n" );
  fprintf( output, "   });\n" );
  fprintf( output, "  </script>\n" );
  fprintf( output, "  <script>\n" );
  fprintf( output, "   function loadJSON( callback ) {\n" );
  fprintf( output, "     var xobj = new XMLHttpRequest();\n" );
  fprintf( output, "     xobj.overrideMimeType(\"application/json\");\n" );
  fprintf( output, "     xobj.open('GET', '%s', true);\n", json_pkgs_file );
  fprintf( output, "     xobj.onreadystatechange = function () {\n" );
  fprintf( output, "       if (xobj.readyState == 4 && xobj.status == \"200\") {\n" );
  fprintf( output, "         callback(xobj.responseText);\n" );
  fprintf( output, "       }\n" );
  fprintf( output, "     };\n" );
  fprintf( output, "     xobj.send(null);\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   var pkgs;\n" );
  fprintf( output, "\n" );
  fprintf( output, "   $(document).ready(function() {\n" );
  fprintf( output, "     loadJSON(function(response) {\n" );
  fprintf( output, "       pkgs = JSON.parse(response);\n" );
  fprintf( output, "     });\n" );
  fprintf( output, "\n" );
  fprintf( output, "     $('#tree_view')\n" );
  fprintf( output, "       .mousedown(function() { $(this).css( 'cursor', 'grab' ); })\n" );
  fprintf( output, "       .mouseup(  function() { $(this).css( 'cursor', 'auto' ); });\n" );
  fprintf( output, "   });\n" );
  fprintf( output, "  </script>\n" );
  fprintf( output, " </head>\n" );
  fprintf( output, " <body>\n" );
  fprintf( output, "  <div id=\"front_wrapper\">\n" );
  fprintf( output, "   <div class=\"header-wrapper\">\n" );
  fprintf( output, "    <div class=\"logo\"></div>\n" );
  fprintf( output, "    <div class=\"navigator\">\n" );
  fprintf( output, "     <div style=\"height: 36px;\">\n" );
  fprintf( output, "       <div class=\"date-title\">%04d-%02d-%02d&nbsp;&nbsp;<span class=\"time-title\">%02d:%02d:%02d</span></div>\n",
                    tm.tm_year + 1900, tm.tm_mon + 1, tm.tm_mday,
                    tm.tm_hour, tm.tm_min, tm.tm_sec );
  fprintf( output, "       <div class=\"hardware-title\">\n" );
  fprintf( output, "        <span class=\"hw-title\">HARDWARE:</span> %s\n", hardware );
  fprintf( output, "       </div>\n" );
  fprintf( output, "     </div>\n" );
  fprintf( output, "     <div class=\"tree-title\">\n" );
  fprintf( output, "      <span class=\"tree-hw-title\">%s</span> &#8211; Requires Tree\n", root );
  fprintf( output, "     </div>\n" );
  fprintf( output, "    </div> <!-- \"navigator\" -->\n" );
  fprintf( output, "   </div> <!-- \"header_wrapper\" -->\n" );
  fprintf( output, "\n" );
  fprintf( output, "   <div class=\"content-wrapper\">\n" );
  fprintf( output, "    <div class=\"content\">\n" );
  fprintf( output, "     <div id=\"spinner\">\n" );
  fprintf( output, "      <svg class=\"spinner\" viewBox=\"0 0 50 50\"><circle class=\"path\" cx=\"25\" cy=\"25\" r=\"20\" fill=\"none\" stroke-width=\"5\"></circle></svg>\n" );
  fprintf( output, "      <div class=\"spinner-text\">Loading ...</div>\n" );
  fprintf( output, "     </div>\n" );
  fprintf( output, "     <div id=\"tree_view\" class=\"ui-widget-content\">\n" );
  fprintf( output, "     </div>\n" );
  fprintf( output, "    </div> <!-- \"content\" -->\n" );
  fprintf( output, "   </div> <!-- \"content_wrapper\" -->\n" );
  fprintf( output, "\n" );
  fprintf( output, "   <div class=\"footer-wrapper\">\n" );
  fprintf( output, "    <div class=\"footer\">\n" );
  fprintf( output, "     <div class=\"footer-top\">\n" );
  fprintf( output, "      <a class=\"copyright\" target=\"_blank\" href=\"%s\">&#169; %s</a>\n", bug_url, copying );
  fprintf( output, "     </div>\n" );
  fprintf( output, "     <div class=\"footer-bottom\">\n" );
  fprintf( output, "     </div>\n" );
  fprintf( output, "    </div> <!-- \"footer\" -->\n" );
  fprintf( output, "   </div> <!-- \"footer_wrapper\" -->\n" );
  fprintf( output, "  </div> <!-- \"front_wrapper\" -->\n" );
  fprintf( output, "\n" );
  fprintf( output, "  <script>\n" );
  fprintf( output, "   var margin = {top: 20, right: 120, bottom: 20, left: 220},\n" );
  fprintf( output, "       width = %d - margin.right - margin.left,\n", svg_width );
  fprintf( output, "       height = %d - margin.top - margin.bottom;\n", svg_height );
  fprintf( output, "\n" );
  fprintf( output, "   var i = 0,\n" );
  fprintf( output, "       duration = 750,\n" );
  fprintf( output, "       root = 0;\n" );
  fprintf( output, "\n" );
  fprintf( output, "   var tree = d3.layout.tree()\n" );
  fprintf( output, "       .size([height, width]);\n" );
  fprintf( output, "\n" );
  fprintf( output, "   var diagonal = d3.svg.diagonal()\n" );
  fprintf( output, "       .projection(function(d) { return [d.y, d.x]; });\n" );
  fprintf( output, "\n" );
  fprintf( output, "   var svg = d3.select(document.getElementById( 'tree_view' )).append(\"svg\")\n" );
  fprintf( output, "       .attr(\"width\", width + margin.right + margin.left)\n" );
  fprintf( output, "       .attr(\"height\", height + margin.top + margin.bottom)\n" );
  fprintf( output, "       .append(\"g\")\n" );
  fprintf( output, "       .attr(\"transform\", \"translate(\" + margin.left + \",\" + margin.top + \")\");\n" );
  fprintf( output, "\n" );
  fprintf( output, "   var div = d3.select(document.getElementById( 'front_wrapper' )).append(\"div\")\n" );
  fprintf( output, "       .attr(\"class\", \"tree-tooltip\")\n" );
  fprintf( output, "       .style(\"display\", \"none\")\n" );
  fprintf( output, "       .style(\"opacity\", 0);\n" );
  fprintf( output, "\n" );
  fprintf( output, "   d3.json(\"%s\", function(error, requires) {\n", json_tree_file );
  fprintf( output, "     root = requires;\n" );
  fprintf( output, "     root.x0 = height / 2;\n" );
  fprintf( output, "     root.y0 = 0;\n" );
  fprintf( output, "\n" );
  fprintf( output, "     function collapse(d) {\n" );
  fprintf( output, "       if( d.children ) {\n" );
  fprintf( output, "         d._children = d.children;\n" );
  fprintf( output, "         d._children.forEach(collapse);\n" );
  fprintf( output, "         d.children = null;\n" );
  fprintf( output, "       }\n" );
  fprintf( output, "     }\n" );
  fprintf( output, "\n" );
  fprintf( output, "     document.getElementById('spinner').remove();\n" );
  fprintf( output, "     root.children.forEach(collapse);\n" );
  fprintf( output, "     update(root);\n" );
  fprintf( output, "   });\n" );
  fprintf( output, "\n" );
  fprintf( output, "   function update(source) {\n" );
  fprintf( output, "\n" );
  fprintf( output, "     /* Compute the new tree layout. */\n" );
  fprintf( output, "     var nodes = tree.nodes(root).reverse(),\n" );
  fprintf( output, "         links = tree.links(nodes);\n" );
  fprintf( output, "\n" );
  fprintf( output, "     /* Normalize for fixed-depth. */\n" );
  fprintf( output, "     nodes.forEach(function(d) { d.y = d.depth * 220; });\n" );
  fprintf( output, "\n" );
  fprintf( output, "     /* Update the nodes . . . */\n" );
  fprintf( output, "     var node = svg.selectAll(\"g.node\")\n" );
  fprintf( output, "       .data(nodes, function(d) { return d.id || (d.id = ++i); });\n" );
  fprintf( output, "\n" );
  fprintf( output, "     /* Enter any new nodes at the parent's previous position. */\n" );
  fprintf( output, "     var nodeEnter = node.enter().append(\"g\")\n" );
  fprintf( output, "       .attr(\"class\", \"node\")\n" );
  fprintf( output, "       .attr(\"transform\", function(d) { return \"translate(\" + source.y0 + \",\" + source.x0 + \")\"; })\n" );
  fprintf( output, "       .on(\"click\", click)\n" );
  fprintf( output, "       .on(\"mouseover\", function(d) {\n" );
  fprintf( output, "         div.transition()\n" );
  fprintf( output, "           .duration(200)\n" );
  fprintf( output, "           .style(\"opacity\", .92);\n" );
  fprintf( output, "         {\n" );
  fprintf( output, "           var content = '<div class=\"tooltip-header-not-packaged\">' + 'void' + '</div>';\n" );
  fprintf( output, "\n" );
  fprintf( output, "           if( d.name === \"void\" ) {\n" );
  fprintf( output, "             /* draw div.tree-tooltip to get actual size */\n" );
  fprintf( output, "             div.html( content )\n" );
  fprintf( output, "               .style(\"left\", (d3.event.pageX + document.getElementById( 'front_wrapper' ).scrollLeft + 12) + \"px\")\n" );
  fprintf( output, "               .style(\"top\",  (d3.event.pageY + document.getElementById( 'front_wrapper' ).scrollTop  + 12) + \"px\");\n" );
  fprintf( output, "           }\n" );
  fprintf( output, "           else\n" );
  fprintf( output, "           {\n" );
  fprintf( output, "             /* find package in the pkgs array: */\n" );
  fprintf( output, "             var pkg = pkgs.find(obj => { return obj.id === d.name; });\n" );
  fprintf( output, "\n" );
  fprintf( output, "             if( pkg === undefined )\n" );
  fprintf( output, "             {\n" );
  fprintf( output, "               content = '<div class=\"tooltip-header-not-packaged\">' + 'not packaged collection' + '</div>';\n" );
  fprintf( output, "               /* draw div.tree-tooltip to get actual size */\n" );
  fprintf( output, "               div.html( content )\n" );
  fprintf( output, "                 .style(\"left\", (d3.event.pageX + document.getElementById( 'front_wrapper' ).scrollLeft + 12) + \"px\")\n" );
  fprintf( output, "                 .style(\"top\",  (d3.event.pageY + document.getElementById( 'front_wrapper' ).scrollTop  + 12) + \"px\");\n" );
  fprintf( output, "             }\n" );
  fprintf( output, "             else\n" );
  fprintf( output, "             {\n" );
  fprintf( output, "               content  = '<div class=\"tooltip-header\">' + pkg.name + '</div>' +\n" );
  fprintf( output, "                           '<div class=\"tooltip-description\">' + pkg.description + '</div>' +\n" );
  fprintf( output, "                            '<div class=\"tooltip-content\">' +\n" );
  fprintf( output, "                            '               group: ' + pkg.group + '\\n' +\n" );
  fprintf( output, "                            '        architecture: ' + pkg.arch + '\\n' +\n" );
  fprintf( output, "                            '            hardware: ' + pkg.hardware + '\\n';\n" );
  fprintf( output, "               if( pkg.flavour !== undefined )\n" );
  fprintf( output, "               {\n" );
  fprintf( output, "                 content += '             <span class=\"flavour\">edition</span>: ' + pkg.flavour + '\\n';\n" );
  fprintf( output, "               }\n" );
  fprintf( output, "                 content += '             license: ' + pkg.license + '\\n' +\n" );
  fprintf( output, "                            '      bug report url: ' + root.distro[2] + '\\n' +\n" );
  fprintf( output, "                            '        distribution: ' + root.distro[0] + '-' + root.distro[1] + '\\n' +\n" );
  fprintf( output, "                            '     package tarball: ' + pkg.name + '-' + pkg.version + '-' + pkg.arch + '-' + root.distro[0] + '-' + root.distro[1] + '.'+ '%s' + '\\n' +\n", tarball_suffix );
  fprintf( output, "                            '   uncompressed size: ' + pkg.uncompressed_size + '\\n' +\n" );
  fprintf( output, "                            '     number of files: ' + pkg.total_files + '\\n' +\n" );
  fprintf( output, "                            '</div>' +\n" );
  fprintf( output, "                           '</div>' +\n" );
  fprintf( output, "                          '</div>';\n" );
  fprintf( output, "\n" );
  fprintf( output, "               /* draw div.tree-tooltip to get actual size */\n" );
  fprintf( output, "               div.html( content )\n" );
  fprintf( output, "                 .style(\"left\", (d3.event.pageX + document.getElementById( 'front_wrapper' ).scrollLeft + 12) + \"px\")\n" );
  fprintf( output, "                 .style(\"top\",  (d3.event.pageY + document.getElementById( 'front_wrapper' ).scrollTop  + 12) + \"px\");\n" );
  fprintf( output, "             }\n" );
  fprintf( output, "           }\n" );
  fprintf( output, "\n" );
  fprintf( output, "           /* draw div.tree-tooltip at actual position */\n" );
  fprintf( output, "\n" );
  fprintf( output, "           var cW = $( window ).width();\n" );
  fprintf( output, "           var cH = $( window ).height();\n" );
  fprintf( output, "           var cX = d3.event.pageX;\n" );
  fprintf( output, "           var cY = d3.event.pageY;\n" );
  fprintf( output, "           var tW = $('div.tree-tooltip').width();\n" );
  fprintf( output, "           var tH = $('div.tree-tooltip').height();\n" );
  fprintf( output, "           var oX;\n" );
  fprintf( output, "           var oY;\n" );
  fprintf( output, "           var dX = ( cW - cX ) - ( tW + 12 );\n" );
  fprintf( output, "           var dY = ( cH - cY ) - ( tH + 12 );\n" );
  fprintf( output, "\n" );
  fprintf( output, "           /* shift left to according to width=16 of browser vertical scroll bar */\n" );
  fprintf( output, "           if( dX <= 24 ) { dX = 24 - dX; }\n" );
  fprintf( output, "           else           { dX = 0;       }\n" );
  fprintf( output, "\n" );
  fprintf( output, "           /* shift top to according to width=16 of browser horizontal scroll bar */\n" );
  fprintf( output, "           if( dY <= 24 ) { dY = 24 - dY; }\n" );
  fprintf( output, "           else           { dY = 0;       }\n" );
  fprintf( output, "\n" );
  fprintf( output, "           if( ( cW - cX ) < ( tW + 12 ) ) { oX = - 12 - tW; } else { oX = 12 - dX; }\n" );
  fprintf( output, "           if( ( cH - cY ) < ( tH + 12 ) ) { oY = - 12 - tH; } else { oY = 12 - dY; }\n" );
  fprintf( output, "\n" );
  fprintf( output, "           if( (( cW - cX ) < ( tW + 12 )) && (cX < ( tW + 12 )) )\n" );
  fprintf( output, "           {\n" );
  fprintf( output, "             /* in this case we have to center tooltip */\n" );
  fprintf( output, "             oX = - (tW + 12) / 2 + (cW/2 - cX);\n" );
  fprintf( output, "           }\n" );
  fprintf( output, "\n" );
  fprintf( output, "           div.html( content )\n" );
  fprintf( output, "             .style(\"left\", (d3.event.pageX + document.getElementById( 'front_wrapper' ).scrollLeft + oX) + \"px\")\n" );
  fprintf( output, "             .style(\"top\",  (d3.event.pageY + document.getElementById( 'front_wrapper' ).scrollTop +  oY) + \"px\")\n" );
  fprintf( output, "             .style(\"display\",\"block\");\n" );
  fprintf( output, "         }\n" );
  fprintf( output, "       })\n" );
  fprintf( output, "       .on(\"mouseout\", function(d) {\n" );
  fprintf( output, "         div.transition()\n" );
  fprintf( output, "           .duration(500)\n" );
  fprintf( output, "           .style(\"opacity\", 0);\n" );
  fprintf( output, "       });\n" );
  fprintf( output, "\n" );
  fprintf( output, "     nodeEnter.append(\"circle\")\n" );
  fprintf( output, "     /* Additional attributes (see the 'style' section) */\n" );
  fprintf( output, "       .attr(\"stroke\", \"#5d5d5d\")\n" );
  fprintf( output, "       .attr(\"stroke-width\", \"1.0\")\n" );
  fprintf( output, "     /* End of additional attributes */\n" );
  fprintf( output, "       .attr(\"r\", 1e-6)\n" );
  fprintf( output, "       .style(\"fill\", function(d) { return d._children ? \"#abd8d4\" : \"#fff\"; });\n" );
  fprintf( output, "\n" );
  fprintf( output, "     nodeEnter.append(\"text\")\n" );
  fprintf( output, "       .attr(\"x\", function(d) { return d.children || d._children ? -10 : 10; })\n" );
  fprintf( output, "       .attr(\"dy\", \"-.35em\")\n" );
  fprintf( output, "       .attr(\"text-anchor\", function(d) { return d.children || d._children ? \"end\" : \"start\"; })\n" );
  fprintf( output, "       .text(function(d) { return (d.name.indexOf(\":\",0) > 0 ) ? d.name.substr(d.name.indexOf(\":\",0) + 1) : d.name; })\n" );
  fprintf( output, "       .style(\"fill-opacity\", 1e-6);\n" );
  fprintf( output, "\n" );
  fprintf( output, "     /* Transition nodes to their new position. */\n" );
  fprintf( output, "     var nodeUpdate = node.transition()\n" );
  fprintf( output, "       .duration(duration)\n" );
  fprintf( output, "       .attr(\"transform\", function(d) { return \"translate(\" + d.y + \",\" + d.x + \")\"; });\n" );
  fprintf( output, "\n" );
  fprintf( output, "     nodeUpdate.select(\"circle\")\n" );
  fprintf( output, "       .attr(\"r\", 4.5)\n" );
  fprintf( output, "       .style(\"fill\", function(d) {\n" );
  fprintf( output, "         if( d._children )\n" );
  fprintf( output, "         {\n" );
  fprintf( output, "           return \"#abd8d4\";\n" );
  fprintf( output, "         }\n" );
  fprintf( output, "         else\n" );
  fprintf( output, "         {\n" );
  fprintf( output, "           if( d.children == undefined )\n" );
  fprintf( output, "           {\n" );
  fprintf( output, "             if( d.name == \"void\" )\n" );
  fprintf( output, "             {\n" );
  fprintf( output, "               return \"#c9c9c9\";\n" );
  fprintf( output, "             }\n" );
  fprintf( output, "             else\n" );
  fprintf( output, "             {\n" );
  fprintf( output, "               return \"#fff\";\n" );
  fprintf( output, "             }\n" );
  fprintf( output, "           }\n" );
  fprintf( output, "           else\n" );
  fprintf( output, "           {\n" );
  fprintf( output, "             return \"#d2ebd8\";\n" );
  fprintf( output, "           }\n" );
  fprintf( output, "         }\n" );
  fprintf( output, "       });\n" );
  fprintf( output, "\n" );
  fprintf( output, "     nodeUpdate.select(\"text\")\n" );
  fprintf( output, "         .style(\"fill-opacity\", 1);\n" );
  fprintf( output, "\n" );
  fprintf( output, "     /* Transition exiting nodes to the parent's new position. */\n" );
  fprintf( output, "     var nodeExit = node.exit().transition()\n" );
  fprintf( output, "       .duration(duration)\n" );
  fprintf( output, "       .attr(\"transform\", function(d) { return \"translate(\" + source.y + \",\" + source.x + \")\"; })\n" );
  fprintf( output, "       .remove();\n" );
  fprintf( output, "\n" );
  fprintf( output, "     nodeExit.select(\"circle\")\n" );
  fprintf( output, "       .attr(\"r\", 1e-6);\n" );
  fprintf( output, "\n" );
  fprintf( output, "     nodeExit.select(\"text\")\n" );
  fprintf( output, "       .style(\"fill-opacity\", 1e-6);\n" );
  fprintf( output, "\n" );
  fprintf( output, "     /* Update the links . . . */\n" );
  fprintf( output, "     var link = svg.selectAll(\"path.link\")\n" );
  fprintf( output, "       .data(links, function(d) { return d.target.id; });\n" );
  fprintf( output, "\n" );
  fprintf( output, "     /* Enter any new links at the parent's previous position. */\n" );
  fprintf( output, "     link.enter().insert('path', 'g')\n" );
  fprintf( output, "       .attr(\"class\", \"link\")\n" );
  fprintf( output, "       .attr(\"d\", function(d) {\n" );
  fprintf( output, "         var o = {x: source.x0, y: source.y0};\n" );
  fprintf( output, "         return diagonal({source: o, target: o});\n" );
  fprintf( output, "       });\n" );
  fprintf( output, "\n" );
  fprintf( output, "     /* Transition links to their new position. */\n" );
  fprintf( output, "     link.transition()\n" );
  fprintf( output, "       .duration(duration)\n" );
  fprintf( output, "     /* Additional attributes (see the 'style' section) */\n" );
  fprintf( output, "       .style(\"fill\", \"none\")\n" );
  fprintf( output, "       .attr(\"stroke\", \"DarkGray\")\n" );
  fprintf( output, "       .attr(\"stroke-width\", \"1.5\")\n" );
  fprintf( output, "     /* End of additional attributes */\n" );
  fprintf( output, "       .attr(\"d\", diagonal);\n" );
  fprintf( output, "\n" );
  fprintf( output, "     /* Transition exiting nodes to the parent's new position. */\n" );
  fprintf( output, "     link.exit().transition()\n" );
  fprintf( output, "       .duration(duration)\n" );
  fprintf( output, "       .attr(\"d\", function(d) {\n" );
  fprintf( output, "         var o = {x: source.x, y: source.y};\n" );
  fprintf( output, "         return diagonal({source: o, target: o});\n" );
  fprintf( output, "       })\n" );
  fprintf( output, "       .remove();\n" );
  fprintf( output, "\n" );
  fprintf( output, "     /* Stash the old positions for transition. */\n" );
  fprintf( output, "     nodes.forEach(function(d) {\n" );
  fprintf( output, "       d.x0 = d.x;\n" );
  fprintf( output, "       d.y0 = d.y;\n" );
  fprintf( output, "     });\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "\n" );
  fprintf( output, "   /* Toggle children on click. */\n" );
  fprintf( output, "   function click(d) {\n" );
  fprintf( output, "     if (d.children) {\n" );
  fprintf( output, "       d._children = d.children;\n" );
  fprintf( output, "       d.children = null;\n" );
  fprintf( output, "     } else {\n" );
  fprintf( output, "       d.children = d._children;\n" );
  fprintf( output, "       d._children = null;\n" );
  fprintf( output, "     }\n" );
  fprintf( output, "     update(d);\n" );
  fprintf( output, "   }\n" );
  fprintf( output, "  </script>\n" );
  fprintf( output, " </body>\n" );
  fprintf( output, "</html>\n" );
}
